Explicitly depend on webrick for Ruby 3 support

09/09/2022 02:25 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases: 3.5.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/846

  

Description

In Ruby 3 webrick is no longer included and is now a regular gem.

Associated revisions

Revision a921761d - 10/20/2022 07:40 AM - Ewoud Kohl van Wijngaarden

Fixes #35510 - Depend on webrick for Ruby 3

This has always been a dependency, but Ruby 3 has dropped the code. It's

now a regular gem.

It is set in the gemspec since that allows plugins to also benefit from

it. That does mean that it's also required on older Ruby versions and

should be packaged.

History

#1 - 09/09/2022 02:31 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/smart-proxy/pull/846 added

#2 - 10/20/2022 07:41 AM - The Foreman Bot

- Fixed in Releases 3.5.0 added

#3 - 10/20/2022 08:01 AM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset a921761d7f8ba5f2aadb793872cc17b5ba1b062f.

#4 - 11/28/2022 12:24 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
